Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jsp22
Interface TaglibType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  TaglibTypeImpl

    public interface TaglibType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `taglibType` xsd type

Original Documentation:

The taglibType defines the syntax for declaring in
the deployment descriptor that a tag library is
available to the application. This can be done
to override implicit map entries from TLD files and
from the container.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getTaglibLocation()` Returns the `taglib-location` element
`java.lang.String` | `getTaglibUri()` Returns the `taglib-uri` element
`TaglibType<T>` | `removeTaglibLocation()` Removes the `taglib-location` element
`TaglibType<T>` | `removeTaglibUri()` Removes the `taglib-uri` element
`TaglibType<T>` | `setTaglibLocation(java.lang.String taglibLocation)` If not already created, a new `taglib-location` element with the given value will be created.
`TaglibType<T>` | `setTaglibUri(java.lang.String taglibUri)` If not already created, a new `taglib-uri` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setTaglibUri

    TaglibType<T> setTaglibUri(java.lang.String taglibUri)

  If not already created, a new `taglib-uri` element with the given value will be created. Otherwise, the existing `taglib-uri` element will be updated with the given value.

  Returns:
    the current instance of `TaglibType`

### removeTaglibUri

    TaglibType<T> removeTaglibUri()

  Removes the `taglib-uri` element

  Returns:
    the current instance of `TaglibType`

### getTaglibUri

    java.lang.String getTaglibUri()

  Returns the `taglib-uri` element

  Returns:
    the node defined for the element `taglib-uri`

### setTaglibLocation

    TaglibType<T> setTaglibLocation(java.lang.String taglibLocation)

  If not already created, a new `taglib-location` element with the given value will be created. Otherwise, the existing `taglib-location` element will be updated with the given value.

  Returns:
    the current instance of `TaglibType`

### removeTaglibLocation

    TaglibType<T> removeTaglibLocation()

  Removes the `taglib-location` element

  Returns:
    the current instance of `TaglibType`

### getTaglibLocation

    java.lang.String getTaglibLocation()

  Returns the `taglib-location` element

  Returns:
    the node defined for the element `taglib-location`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD